/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class BudgetRequester extends RelMgmt.Party.PersonRole {
    public BigDecimal calcTotalBudgetRequests() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotalBudgets() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgBudgetRequest() {
        return new BigDecimal(0);
    }

    public int assessLikelihoodOfGettingABudgetApproved() {
        return 0;
    }

    public Vector forecastBudgetRequests() {
        return new Vector();
    }

    public Vector listBudgetRequests() {
        return new Vector();
    }

    public Vector listBudgets() {
        return new Vector();
    }

    /**
     *@clientCardinality 1
     * @supplierCardinality 0..*
     */
    private AccountingMgmt.Budget.BudgetRequest lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     * @label derivable
     */
    private AccountingMgmt.Budget.Budget lnkUnnamed;
}


